Subject: [Ntp] What happened to draft-ietf-ntp-data-minimization?

From: Hal Murray <[email-masked]>
Date: Tue, 09 Feb 2021 04:42:21 -0800

Draft 04 from Mar 2019 has expired.

I thought it was well done.  Did it expire because people lost interest?  If 
so, should we add data-minimization to the NTPv5 list?

Section 5.1 in RFC 8633, BCP, July 2019, is on Minimizing Information Leakage

Were people expecting the BCP to pick up the ideas from the data-minimization 
draft?

Has anybody gone through to see how many ideas from the data-minimization draft did/didn't make it into the BCP?

I just happened to be interested in the transmit timestamp.  I can't find any mention of transmit timestamp randomization in the BCP.

-- 
These are my opinions.  I hate spam.

---

From: James <[email-masked]>
Date: Tue, 9 Feb 2021 17:57:37 +0100

I do think we should include it to the NTPv5 requirements, but not 
everything that is explicitly called out in the minimization draft may 
be applicable. I've made note of this [1].

- J

1: https://github.com/fiestajetsam/I-D/issues/8

---

From: Fernando Gont <[email-masked]>
Date: Thu, 11 Feb 2021 14:44:47 -0300

On 9/2/21 09:42, Hal Murray wrote:
> I thought it was well done.  Did it expire because people lost interest?  

FWIW, I believe it is very useful, and would like to see it progressed.

> If

Yeo!

> Were people expecting the BCP to pick up the ideas from the data-minimization

Not sure. But what didn't make into RFC8633 should probably be 
progressed stand-alone. -- for instance, there are implementations (e.g. 
openbsd's) that have been doing data minimization for a while.

I guess some things were probably not picked up because they were a 
change to the protocol spec, rather than a implementations making use of 
the leeway they had?

Thanks,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492